//css_reference Microsoft.DirectX.Direct3DX;

using System;
using System.Collections.Generic;
using System.IO;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;

using TDCG;
using TDCGUtils;
using Tso2Pmd;

namespace TDCG.PhysObTemplate
{
    public class Body_Simple : IPhysObTemplate
    {
        string name = "g(σ{[p)";   // gɕ\閼O
        int group = 3;          // \g̎ށi0: 1: 2:XJ[g 3:̑i`FbNj4:̑i`FbNȂjj

        public string Name() { return name; }
        public int Group() { return group; }

        public void Execute(ref T2PPhysObjectList phys_list)
        {
            phys_list.MakeBodyFromBone("g");

            phys_list.MakeBodyFromBone("㔼g");
            {
                PMD_RBody body = phys_list.GetBodyByName("㔼g");
                body.shape_id = 1;
                body.size.X = 1.0f;
                body.size.Y *= 0.5f;
                body.size.Z = 0.5f;
            }

            phys_list.MakeBodyFromBone("㔼g2");
            {
                PMD_RBody body = phys_list.GetBodyByName("㔼g2");
                body.shape_id = 1;
                body.size.X = 1.0f;
                body.size.Y *= 0.5f;
                body.size.Z = 0.5f;
            }

            phys_list.MakeBodyFromBone("㔼g3");
            {
                PMD_RBody body = phys_list.GetBodyByName("㔼g3");
                body.shape_id = 1;
                body.size.X = 1.0f;
                body.size.Y *= 0.5f;
                body.size.Z = 0.5f;
            }

            phys_list.MakeBodyFromBone("EKP");
            {
                PMD_RBody body = phys_list.GetBodyByName("EKP");
                body.shape_id = 0;
            }

            phys_list.MakeBodyFromBone("KP");
            {
                PMD_RBody body = phys_list.GetBodyByName("KP");
                body.shape_id = 0;
            }

            phys_list.MakeBodyFromBone("");

            phys_list.MakeBodyFromBone("");

            phys_list.MakeBodyFromBone("");

            phys_list.MakeBodyFromBone("r");

            phys_list.MakeBodyFromBone("Ђ");

            phys_list.MakeBodyFromBone("E");

            phys_list.MakeBodyFromBone("Er");

            phys_list.MakeBodyFromBone("EЂ");

            phys_list.MakeBodyFromBone("");
            phys_list.GetBodyByName("").size.X = 0.75f;
            
            phys_list.MakeBodyFromBone("Ђ");

            phys_list.MakeBodyFromBone("E");
            phys_list.GetBodyByName("E").size.X = 0.75f;
            
            phys_list.MakeBodyFromBone("EЂ");
        }
    }
}
